| threaddb 2.0 A file mapped memory container extension

Public Member Functions | List of all members
tdb::fromstream< T > Class Template Reference

Converter of byte stream into fixed data item representation. More...

`#include <threaddbSTLWrapper.h>`

## Public Member Functions
| fromstream ()
| fromstream (size_< std::string > size_p)
| fromstream (database *, ReadInfo *)
std::unique_ptr< T > | get (database *pDb_p, ItemInfo *pItemInfo_p, uint64_t Package_p) const
std::unique_ptr< T > | get (database *pDb_p, ItemInfo *pItemInfo_p, uint64_t Package_p, size_< T >) const
std::unique_ptr< T > | get (database *pDb_p, ReadInfo *pReadInfo_p) const
std::unique_ptr< std::string > | get () const
uint32_t | size () const

## Detailed Description

### template<class T>
class tdb::fromstream< T >

Converter of byte stream into fixed data item representation.

## Constructor & Destructor Documentation

## ◆ fromstream() [1/3]

template<class T>

tdb::fromstream< T >::fromstream | ( |  | ) |
| inline

## ◆ fromstream() [2/3]

template<class T>

tdb::fromstream< T >::fromstream | ( | size_< std::string > | size_p | ) |
| inline

## ◆ fromstream() [3/3]

template<class T>

tdb::fromstream< T >::fromstream | ( | database * | ,
|  | ReadInfo * |
| ) |  |
| inline

## Member Function Documentation

## ◆ get() [1/4]

template<class T>

std::unique_ptr<std::string> tdb::fromstream< T >::get | ( |  | ) | const
| inline

## ◆ get() [2/4]

template<class T>

std::unique_ptr<T> tdb::fromstream< T >::get | ( | database * | pDb_p,
|  | ItemInfo * | pItemInfo_p,
|  | uint64_t | Package_p
| ) |  | const
| inline

## ◆ get() [3/4]

template<class T>

std::unique_ptr<T> tdb::fromstream< T >::get | ( | database * | pDb_p,
|  | ItemInfo * | pItemInfo_p,
|  | uint64_t | Package_p,
|  | size_< T > |
| ) |  | const
| inline

## ◆ get() [4/4]

template<class T>

std::unique_ptr<T> tdb::fromstream< T >::get | ( | database * | pDb_p,
|  | ReadInfo * | pReadInfo_p
| ) |  | const
| inline

## ◆ size()

template<class T>

uint32_t tdb::fromstream< T >::size | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- B:/threaddbwc/branches/threaddb-2.0/1stParty/threaddb/public/threaddbSTLWrapper.h